Unable to Connect to Crazyflie

Post here to get support
Post Reply
soso
Beginner
Posts: 5
Joined: Tue Dec 28, 2021 2:30 am

Unable to Connect to Crazyflie

Post by soso »

Hi - I am unable to connect to my Crazyflie. I am using a 2019 Intel Macbook Pro with the Monterey OS.

My Crazyflie is assembled and turns on just fine.

I use a USB to USB-c dongle to plug in my Crazyradio. When I connect it, the green and red LEDS flash quickly then turn off. My Macbook recognizes both the Crazyradio dongle and the Crazyflie when they are plugged in.

In spite of this, my Crazyflie does not appear as an interface to connect to in the cfclient window. Does anybody know what the cause of this may be? I just received all of the equipment recently and do not believe any of them have been used before.

Here is the terminal output when I start the cfclient and search for Crazyflie devices:
Screen Shot 2021-12-27 at 6.35.45 PM.png
Here is what I see in the cfclient window:
Screen Shot 2021-12-27 at 6.54.05 PM.png
Thank you for the help.
arnaud
Bitcraze
Posts: 2531
Joined: Tue Feb 06, 2007 12:36 pm

Re: Unable to Connect to Crazyflie

Post by arnaud »

Hi,

This is consistent with the behavior when libusb is not installed.

Assuming you are using homebrew, you can install libusb with:

Code: Select all

brew install libusb
When the client starts it will automatically scan for Crazyflie which will light-up the RED led on the Crazyradio.

Edit: We have added help on Linux for this kind of problems, I will look at adding a similar help message on mac as well: https://github.com/bitcraze/crazyflie-c ... issues/546
soso
Beginner
Posts: 5
Joined: Tue Dec 28, 2021 2:30 am

Re: Unable to Connect to Crazyflie

Post by soso »

Thank you so much for the reply! The problem is fixed now.

For future reference for anybody who may need it, I did have a libusb package installed but I had used pip to install it. Perhaps the package installed using pip is the wrong package or dysfunctional somehow. After uninstalling it and installing libusb using Homebrew the issue was fixed.
arnaud
Bitcraze
Posts: 2531
Joined: Tue Feb 06, 2007 12:36 pm

Re: Unable to Connect to Crazyflie

Post by arnaud »

Thanks for the update and for the extra info!

I looked quickly and the PIP libusb package is not libusb, it is a wrapper. Libusb is a C-implemented library.

Though, the package called https://pypi.org/project/libusb-package/ seems to package the libusb lib. This is interesting and should be investigated (it would allow to get rid of the manual libusb install on mac and maybe linux).
Post Reply